import React from "react";
import { RouteDefinition } from "../../interfaces/route-definition";
import { UnmatchedRoute } from "../../interfaces/unmatched-route";
import { AuthenticatedRoute } from "../../interfaces/authenticated-route";
interface NestedRoutesProps extends UnmatchedRoute, AuthenticatedRoute {
    routes: RouteDefinition[];
}
/**
 * Component to easily render nested sub-route components from a list of routes.
 * Commonly used when setting up a layout
 */
declare const NestedRoutes: React.FC<NestedRoutesProps>;
export { NestedRoutes, NestedRoutesProps };
